PPA DESC(1)

NAME
ppa desc - Sets the PPA's publically visible description text

SYNOPSIS
ppa desc [-h | --help] [-A, --credentials <credentials_filename>] <ppa-name> [description]

DESCRIPTION
The ppa desc command sets the PPA's publicly visible description text. This is effectively the same as ppa set --description <text>. However, it also accepts description text from STDIN, which permits usage such as for example:
    apt-cache show figlet | grep -E "^Package|^Description-en|^ " | ppa desc my-figlet-ppa

OPTIONS

The following options can be used with the ppa desc command.

-h, --help
    Prints the synopsis of the ppa desc command and its options.

-A, --credentials <credentials_filename>
    Location of oauth credentials file. This permits managing Launchpad access without needing to log in via the web browser, which can be helpful in automation or if ppa-dev-tools is used on a host that lacks the ability to run a web browser due to graphical or other limitations. See ppa credentials(1) for details on how to create this file, and alternative ways of managing it.

EXIT STATUS

ppa desc exits with status 0 if a command completes successfully, and nonzero on errors.

SEE ALSO
ppa-dev-tools(1)

PPA
Part of the ppa-dev-tools(1) suite.